Using unsafe foreign import for rtsSupportsBoundThreads (part of #9696)
[ghc.git] / Makefile
index 348375f..82ab2f7 100644 (file)
--- a/Makefile
+++ b/Makefile
 MAKEFLAGS += --no-builtin-rules
 .SUFFIXES:
 
+
+# -----------------------------------------------------------------------------
+# Sanitize environment
+
+# See Trac #11530
+export GREP_OPTIONS :=
+
+ifneq "$(filter maintainer-clean distclean clean clean_% help,$(MAKECMDGOALS))" ""
+-include mk/config.mk
+else
+include mk/config.mk
+ifeq "$(ProjectVersion)" ""
+$(error Please run ./configure first)
+endif
+endif
+
+include mk/custom-settings.mk
+
+
 ifeq "$(wildcard distrib/)" ""
 
 # We're in a bindist
@@ -45,7 +64,7 @@ install show:
 .PHONY: install-strip
 install-strip:
        # See Note [install-strip].
-       $(MAKE) --no-print-directory -f ghc.mk INSTALL_PROGRAM='$(INSTALL_PROGRAM) -s' install
+       $(MAKE) --no-print-directory -f ghc.mk INSTALL_PROGRAM='$(INSTALL_PROGRAM) -s' install BINDIST=YES NO_INCLUDE_DEPS=YES
 
 else
 
@@ -58,17 +77,6 @@ default : all
 help:
        @cat MAKEHELP.md
 
-ifneq "$(filter maintainer-clean distclean clean clean_% help,$(MAKECMDGOALS))" ""
--include mk/config.mk
-else
-include mk/config.mk
-ifeq "$(ProjectVersion)" ""
-$(error Please run ./configure first)
-endif
-endif
-
-include mk/custom-settings.mk
-
 # Verify that stage 0 LLVM backend isn't affected by Bug #9439 if needed
 ifeq "$(GHC_LLVM_AFFECTED_BY_9439)" "1"
 ifneq "$(findstring -fllvm,$(SRC_HC_OPTS) $(GhcHcOpts) $(GhcStage1HcOpts))" ""